var $user_content = '';
var $user_list = '';
var $website_list = '';

function putlog(msg) {
    //var date = new Date();
    //console.log(date.toGMTString() + ": " + msg);
    //delete date;
    console.log(": " + msg);
}

function container_display(type_site) {
    $('.container-data').addClass('hidden');

    if ($('#' + type_site).hasClass('hidden'))
        $('#' + type_site).removeClass('hidden');
}

function flip_display(hide, show) {
    $('#' + hide).addClass('hidden');
    $('#' + show).removeClass('hidden');
}

function formatBytes(bytes, decimals) {
    if (bytes === 0)
        return '0 B';
    var k = 1000; // or 1024 for binary
    var dm = decimals + 1 || 2;
    var sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
    var i = Math.floor(Math.log(bytes) / Math.log(k));
    return parseFloat((bytes / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
}

function frac(f) {
    $decibel = f.toFixed(3).split(".");
    return $decibel[1];
}

function timeconversion(duration) {

    var milliseconds = frac((duration % 1000) / 100)
            ,
            seconds = parseInt((duration / 1000) % 60)
            ,
            minutes = parseInt((duration / (1000 * 60)) % 60)
            ,
            hours = parseInt((duration / (1000 * 60 * 60)));

    hours = (hours < 10) ? "0" + hours : hours;
    minutes = (minutes < 10) ? "0" + minutes : minutes;
    seconds = (seconds < 10) ? "0" + seconds : seconds;

    return hours + ":" + minutes + ":" + seconds + "." + milliseconds;
}

jQuery.fn.dataTable.ext.type.order['file-size-pre'] = function (data) {
    var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
    var multipliers = {
        b: 1,
        kb: 1000,
        kib: 1024,
        mb: 1000000,
        mib: 1048576,
        gb: 1000000000,
        gib: 1073741824,
        tb: 1000000000000,
        tib: 1099511627776,
        pb: 1000000000000000,
        pib: 1125899906842624
    };

    if (matches) {
        var multiplier = multipliers[matches[2].toLowerCase()];
        return parseFloat(matches[1]) * multiplier;
    } else {
        return -1;
    }
    ;
};